import request from '@/utils/request'

// 查询SIP 用户信息列表
export function listUser(query) {
  return request({
    url: '/sip/user/list',
    method: 'get',
    params: query
  })
}

// 查询SIP 用户信息详细
export function getUser(id) {
  return request({
    url: '/sip/user/' + id,
    method: 'get'
  })
}

// 新增SIP 用户信息
export function addUser(data) {
  return request({
    url: '/sip/user',
    method: 'post',
    data: data
  })
}

// 修改SIP 用户信息
export function updateUser(data) {
  return request({
    url: '/sip/user',
    method: 'put',
    data: data
  })
}

// 删除SIP 用户信息
export function delUser(id) {
  return request({
    url: '/sip/user/' + id,
    method: 'delete'
  })
}

// 拨号
export function handleFsCall(data) {
  return request({
    url: '/sip/call/originate',
    method: 'post',
    data: data
  })
}
